%define kdeprefix /usr
%define qtdir /usr/lib/qt-1.44
%define kdename switchdesk
Name: %{kdename}
Summary: A desktop environment switcher for GNOME, KDE and AnotherLevel.
Version: 1.7.1
Release: 1
Source: %{kdename}-%{version}.tar.gz
Copyright: GPL
Group: User Interface/Desktops
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: textutils
Prefix: %{kdeprefix}

%description
The Desktop Switcher is a tool which enables users to easily switch
between various desktop environments that they have installed.  The
tool includes support for GNOME, KDE, and AnotherLevel.  Support for
different environments on different computers is available, as well as
support for setting a global default environment.

Install switchdesk if you need a tool for switching between desktop
environments.

%package kde
Group: User Interface/Desktops
Summary: A KDE interface for the Desktop Switcher.
Requires: kdesupport

%description kde
The switchdesk-kde package provides the Desktop Switcher with a KDE
look and feel.

%package gnome
Group: User Interface/Desktops
Summary: A GNOME interface for the Desktop Switcher.

%description gnome
The switchdesk-gnome package provides a GNOME look and feel for the
Desktop Switcher program provided in the switchdesk package.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{kdename}-%{version}

%build
export KDEDIR=%{kdeprefix} QTDIR=%{qtdir}
make -f Makefile.cvs
./configure \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--disable-path-check
make CXXFLAGS="$RPM_OPT_FLAGS" KDEDIR=%{kdeprefix}

%install
export KDEDIR=%{kdeprefix}
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files 
/usr/bin/switchdesk
/usr/bin/switchdesk-helper
/etc/X11/applnk/System/switchdesk.desktop
/usr/share/apps/switchdesk

%files kde
/usr/bin/switchdesk-kde

%files gnome
/usr/bin/switchdesk-gnome

%changelog
* Tue Sep 14 1999 Preston Brown <pbrown@redhat.com>
- convert .kdelnk file to a system-wide .desktop file.

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- added back in switchdesk.kdelnk file (kde still doesn't handle
  .desktop files)

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- fix up X display string handling

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- Xclients scripts installed with execute permission.

* Wed Mar 17 1999 Preston Brown <pbrown@redhat.com>
- hardcode path to pidof (/sbin) because it isn't in default path.

* Tue Mar 16 1999 Preston Brown <pbrown@redhat.com>
- converted kdelnk file to desktop file, moved location, removed KDEDIR

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- broke out separate kde, gnome packages.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- new group.

* Wed Feb 03 1999 Preston Brown <pbrown@redhat.com>
- initial revision of spec file.







